Skip to content

Update party address

PUT
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/parties/{party_id}/addresses/{address_id}

Update an existing address.

party_id
required
Party Id
string format: uuid
address_id
required
Address Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
AddressUpdate

Update address schema.

object
address_type
Any of:
string
<= 20 characters
street_name
Any of:
string
<= 500 characters
additional_street_name
Any of:
string
<= 500 characters
building_number
Any of:
string
<= 50 characters
city_name
Any of:
string
<= 100 characters
postal_zone
Any of:
string
<= 20 characters
state
Any of:
string
<= 100 characters
lga
Any of:
string
<= 200 characters
country_code
Any of:
string
<= 2 characters
department
Any of:
string
<= 200 characters
po_box
Any of:
string
<= 50 characters
is_primary
Any of:
boolean
Examples

Request payload example

{
"address_type": "string",
"street_name": "string",
"additional_street_name": "string",
"building_number": "string"
}

Successful Response

Examples

200 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}